%curve di portanza dei profili di radice, di estremit, medio e dell'ala;
%(condizioni di crociera)
%genera il file Clala.mat contenente le variabili CLw e alphaw (CL dell'ala ai corrispondenti angoli alphaw)

clc
clear all
close all

alpha=-13:.1:17;

%profilo 63(1)412
%%punti curva di portanza
alpha12x=[-12.1;-7.2;-6.3;-4.5;-3;0;2;4;7;9;12;13;14;15;16;17];
Cl12x=[-1;-.5;-.37;-.15;0;.32;.57;.76;1.09;1.3;1.57;1.65;1.69;1.72;1.72;1.68];

coeff_cl12=polyfit(alpha12x,Cl12x,5);
Cl12=polyval(coeff_cl12,alpha);

figure(1)
plot(alpha12x,Cl12x,'x',alpha,Cl12,'r')
title('Profilo 63_1412: curva di portanza')
xlabel('\alpha []')
ylabel('Cl')
grid on


%profilo 63(2)415
%%punti curva portanza
alpha15x=[-12;-9;-2;0;4;6;8;10;10.8;12;15.4;16.2;18];
Cl15x=[-1.;-.7;.09;.35;.8;1;1.2;1.4;1.5;1.56;1.67;1.67;1.6];

coeff_cl15=polyfit(alpha15x,Cl15x,4);
Cl15=polyval(coeff_cl15,alpha);

figure(2)
plot(alpha15x,Cl15x,'x',alpha,Cl15,'r')
title('Profilo 63_2415: curva di portanza')
xlabel('\alpha []')
ylabel('Cl')
grid on

%calcolo Kr e Kt
%dati
S=177.34; %ft
b=36;
lambda=0.7;
Cr=(2*S)/(b+lambda*b); %corda radice in ft
Ct=lambda*Cr; %corda tip in ft
Sr=Cr*b/4;
St=Ct*b/4;
Kr=2*Sr/S;
Kt=2*St/S;
Clpm=Kr*Cl15+Kt*Cl12;
Clmax_w=0.9*max(Clpm)


figure(3)
plot(alpha,Clpm)
grid on
title('Profilo medio: curva di portanza')
xlabel('\alpha []')
ylabel('Cl')

%curva di portanza dell'ala
alphaw=-13:.05:19;
a=0.077887; %pendenza della retta di portanza dell'ala
Clstar=1.3;
alpha0L=-1.67;
DalphaCLmax=1.3; %dai grafici degli appunti
alphastar=(Clstar+a*alpha0L)/a
alphap=(Clmax_w+a*alpha0L)/a
alphastall=alphap+DalphaCLmax

CLw=a.*(alphaw-alpha0L);

CLnl=[Clstar;Clmax_w];
alphanl=[alphastar;alphastall];
coeff_nl=polyfit(alphanl,CLnl,3);
for i=1:length(alphaw);
   if alphaw(i)>alphastar
      CLw(i)=polyval(coeff_nl,alphaw(i));
   end
end

figure(4)
plot(alpha,Clpm,alphaw,CLw,'r')
title('Profilo medio e ala: curve di portanza')
xlabel('\alpha []')
ylabel('Cl, CL')
legend('pm','w',0)
grid on

save Clala CLw alphaw


