%diemnsionamento piano orizzontale di coda
clc
clear all
close all
%immissione dati
xcg1=0.30; %posizione massima arretrata del baricentro (condizione 1)
xacvp=0.1961; %posizione del centro aerodinamico del velivolo parziale in %c
tau=0.55;
a0=0.1; %coefficiente angolare retta di portanza del profilo del piano di coda [1/]
Sw=16.475110; %sup. alare [m^2]
%a=0.077887; %pendenza retta di portanza dell'ala [1/]  %%%0.08847
a=0.08847; %pendenza retta di portanza del velivolo completo, stimata
Chalpha=-0.005387;
Chdelta=-0.01082;
l=4.883; %distanza centri aerodinamici ala-piano or. di coda [m]
c=1.5482; %corda media aerodinamica dell'ala [m]
deepsilonsudealpha=0.36; %downwash calcolato mediante il codice downwash.exe
%
xa1=xcg1-xacvp;
%calcolo superficie del piano di coda St in funzione dell'apertura bt
%(condizione 1)
bt=2.5:0.1:4.5;
for i=1:length(bt)
  St(i)=((0.05+xa1)*pi.*bt(i).^2)/((a0*pi.*bt(i).^2/a).*(1-deepsilonsudealpha).*(1-tau*Chalpha/Chdelta).*(l/(Sw*c))-(0.05+xa1)*57.3*a0);
end

%plot curva 1
figure(1)
plot(bt,St)
title('Superficie del piano or. di coda in funzione della sua apertura');
xlabel('b_t');
ylabel('S_t');
grid on

%condizione 2
%calcolo it0
xcg2=0.18; %posizione baricentro massima avanzata
xa2=xcg2-xacvp;
St_imp=4; %superficie del piano di coda imposta per il calcolo del volume di coda Vt
K=0.90;
Cmacw_flap=-.221; %coefficiente di momento focale dell'ala con flaps in posizione atterraggio %?????
alpha0w_flap=6.03; %angolo di portanza nulla dell'ala con flaps in posizione atterraggio, considerato positivo %?????
Cm0f=-0.0515; %Cm0 della fusoliera, necessario per il calcolo del coefficiente di momento focale del velivolo parziale
at=0.06814*1.03; %pendenza della retta di portanza del piano di coda in effetto suolo
CLcr=0.479; %coefficiente di portanza del velivolo in crociera
deepsilonsudealpha_g=deepsilonsudealpha*.9; %downwash in effetto suolo
Vt=(St_imp*l)/(Sw*c); %rapporto volumetrico del piano orizzontale di coda
Cmdelta=-at*Vt*K*tau;
Cmcl=xa2-(at/a)*(1-deepsilonsudealpha_g)*Vt;
Cmacvp_flap=Cmacw_flap+Cm0f; %coefficiente di momento del velivolo parziale con flap atterraggio
%it0=alpha0w_flap-tau*(Cmacvp_flap/Cmdelta+(Cmcl/Cmdelta)*CLcr)
%calcolo angolo it0
alpha0w=1.67; %angolo di portanza nulla dell'ala con flaps retratti
Cmacvp=-0.1239;
xa_m=0.24; %posizione intermedia del baricemtro
Cmcl=xa_m-(at/a)*(1-deepsilonsudealpha)*Vt;
it0=alpha0w-tau*(Cmacvp/Cmdelta+(Cmcl/Cmdelta)*CLcr)

a_g=a*1.03; %pendenza retta di portanza in effetto suolo

%calcolo superficie del piano di coda St in funzione dell'apertura bt
%(condizione 2)

CLe=1.9; %
deltae=-25; %
for i=1:length(bt)
    St2(i)=(pi.*bt(i).^2*(Cmacvp_flap+xa2*CLe))/((a0*pi*bt(i).^2*CLe/a_g)*(1-deepsilonsudealpha_g)*(l/(Sw*c))+(a0*pi.*bt(i).^2*l*K/(Sw*c))*(it0+tau*deltae-alpha0w_flap)-57.3*a0*(Cmacvp_flap+xa2*CLe));
end

%plot curva 2
figure(2)
plot(bt,St2)
title('Superficie del piano or. di coda in funzione della sua apertura');
xlabel('b_t');
ylabel('S_t');
grid on

%plot curve
figure(3)
plot(bt,St,bt,St2)
legend('S_t cond.1','S_t cond.2')
title('Superficie del piano or. di coda in funzione della sua apertura');
xlabel('b_t');
ylabel('S_t');
grid on
