%Dimensionamento piano verticale di coda; assegnato il valore della
%stabilit direzionale si ricava il valore del rapporto volumetrico del
%piano verticale; in realt assegnando anche la distanza lv si ricava le
%superficie del piano.
clc
clear all
close all
%DATI:
freccia_c4=2.86; %freccia alare ad 1/4 delle corde []
S=16.475; %Superficie alare in m^2
b=10.97; %apertura alare in m
av=0.053; %pendenza della retta di portanza del verticale, considerando l'allungamento effettivo (vedi Perkins)
etav=.95;
%lv=4.77; %distanza lungo x tra fuoco del verticale e baricentro del velivolo [m]
lv=5.37;
%%dati per il calcolo del contributo della fusoliera Cnbetafus (vedi pag. 320 e fig. 8.4 Perkins)
Kbeta=0.13;
Ss=7.95; %area laterale [m^2]
Lf=7.73; %lunghezza totale fusoliera [m]
h1=1.31; %altezza fusoliera a 1/4 della sua lunghezza [m]
h2=0.81; %altezza fusoliera a 3/4 della sua lunghezza [m]
w1=1.31; %larghezza fusoliera a 1/4 della sua lunghezza [m]
w2=0.71; %larghezza fusoliera a 3/4 della sua lunghezza [m]
%%dati per il calcolo del contributo dell'elica Cnbetaprop
D=2; %diametro dell'elica in m
N=1; %numero di propulsori
lp=2.18; %distanza tra piano dell'elica e baricentro del velivolo [m]
dCypsudbeta=0.00235; %termine pari a 0.00165 per elica bipala e a 0.00235 per tripala
%%dati per il calcolo del sidewash
Sv_ip=1.66; %sup. piano verticale ipotizzata per il calcolo del sidewash
zw=.52; %distanza in direzione z del punto ad 1/4 della corda di radice alare dalla linea di rif. della fusoliera
ARw=7.3; %allungamento alare (dell'ala)
d=1.55; %maximun fuselage depth
%
Cnbetatot=-0.0020; %valore imposto per la stabilit direzioale

%calcolo contriburi alla stabilit direzionale
Cnbetaw=-0.00006*(freccia_c4)^0.5;
D1Cnbeta=0; %per ala bassa
Cnbetafus=(0.96/57.3)*Kbeta*(Ss/S)*(Lf/S)*(h1/h2)^.5*(w2/w1)^(1/3);
Cnbetaprop=(pi*D^2*lp*dCypsudbeta*N)/(4*S*b);
Cnbetaprop=1.5*Cnbetaprop; %moltiplicazione per tenere in conto della massima potenza all'elica
%calcolo sidewash, vedi formula 2.81
dsigmasudbeta=-((0.724+3.06*(Sv_ip/S)/(1+cos(freccia_c4/57.3))+0.4*(zw/d)+0.009*ARw)/etav-1);
%calcolo superficie del piano verticale di coda
disp('Superficie del piano verticale di coda: ')
Sv=(Cnbetatot-Cnbetaw-Cnbetafus-Cnbetaprop-D1Cnbeta)*(S*b)/(-av*(1-dsigmasudbeta)*lv*etav)

%VERIFICHE
tau=0.55;
disp('Verifiche: ')
disp(' ')
disp('Cndeltar; deve essere circa -0.001')
Cndeltar=-av*tau*(Sv/S)*(lv/b)*etav
disp('Deflessioni del timone per vento laterale a 5 e 10, non superiori a 20')
deltav5=(S*b*Cnbetatot*5)/(etav*Sv*av*tau*lv)
deltav10=(S*b*Cnbetatot*10)/(etav*Sv*av*tau*lv)