%programma per il calcolo dei coefficienti di momento di fusoliera Cmalphaf
%e Cm0f

%Calcolo del Cmalphaf del velivolo
clc
clear all
close all
%dati
cma=1.548204; %corda media aerodinamica [m]
S=16.47511; %superficie alare [m^2]
CLalphaw=0.077887; %pendenza della retta di portanza dell'ala
depssudalpha=0.36; %downwash sul piano di coda
%dati provenienti dal disegno del velivolo e dai grafici
dx1=0.3201; %larghezza elementi prodieri di fusoliera (costante)
dx2=0.6235; %larghezza elementi poppieri di fusoliera (costante)
wf1=[1.115
    1.1571
    1.1951
    1.2331
    1.2712]; %larghezza elementi della parte prodiera di fusoliera
wf2=[1.30
    1.1436
    .9733
    .8029
    .6326
    .4623
    .292]; %larghezza elementi della parte poppiera di fusoliera
deps_u_sudalpha=[0.22
    0.25
    0.4
    0.5
    3.6]; %dai grafici relativi alla parte prodiera della fusoliera
x2=[.3117
    .9352
    1.5587
    2.1822
    2.8056
    3.4291
    4.0526]; %ascisse dei baricentri degli elementi della parte poppiera della fusoliera
lf2=4.3643; %lunghezza della parte poppiera della fusoliera
%
%
deps_usudalpha1=deps_u_sudalpha*CLalphaw/0.0785;
deps_usudalpha2=(x2./lf2)*(1-depssudalpha)-1;
Cmalphaf=(1/(36.5*S*cma))*(sum(wf1.^2.*(deps_usudalpha1+1).*dx1)+sum(wf2.^2.*(deps_usudalpha2+1).*dx2))
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%calcolo del Cm0f del velivolo
%dati aggiuntivi
dxlat=0.773; %dx degli elementi di fusoliera in vista laterale (costante)
k2k1=0.83; %differenza k2-k1, presa dal relativo grafico in funzione del diametro idraulico
wflat=[1.15
    1.24
    1.30
    1.30
    1.30
    1.16
    0.95
    0.73
    0.52
    0.31]; %larghezza degli elementi di fusoliera in vista in pianta
alpha0l=-1.674; %angolo di portanza nulla dell'ala rispetto alla corda di radice
iw=3.25; %angolo di calettamento dell'ala
icl=[6
    -4
    -14
    -3
    4
    0
    0
    0
    0
    0]; %angoli di inclinazione della linea media di fusoliera
%
%
alpha0lw=alpha0l-iw; %angolo di portanza nulla dell'ala rispetto al riferimento di fusoliera
Cm0f=(k2k1/(36.5*S*cma))*sum(wflat.^2.*(alpha0lw+icl).*dxlat)